net.minecraft.client.renderer.entity

## Class Render

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render

- Direct Known Subclasses:
    RenderArrow, RenderBoat, RenderEnderCrystal, RenderEntity, RendererLivingEntity, RenderFallingBlock, RenderFireball, RenderFish, RenderItem, RenderItemFrame, RenderLeashKnot, RenderLightningBolt, RenderMinecart, RenderPainting, RenderSnowball, RenderTNTPrimed, RenderWitherSkull, RenderXPOrb

      public abstract class Render
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RenderBlocks` | `field_147909_c`
    `protected RenderManager` | `renderManager`
    `protected float` | `shadowOpaque`
    `protected float` | `shadowSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Render()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `bindEntityTexture(Entity par1Entity)`
    `protected void` | `bindTexture(ResourceLocation par1ResourceLocation)`
    `abstract void` | `doRender(Entity var1, double var2, double var4, double var6, float var8, float var9)`
    `void` | `doRenderShadowAndFire(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `protected void` | `func_147906_a(Entity p_147906_1_, java.lang.String p_147906_2_, double p_147906_3_, double p_147906_5_, double p_147906_7_, int p_147906_9_)`
    `protected abstract ResourceLocation` | `getEntityTexture(Entity var1)`
    `FontRenderer` | `getFontRendererFromRenderManager()`
    `boolean` | `isStaticEntity()`
    `static void` | `renderAABB(AxisAlignedBB par0AxisAlignedBB)`
    `static void` | `renderOffsetAABB(AxisAlignedBB par0AxisAlignedBB, double par1, double par3, double par5)`
    `void` | `setRenderManager(RenderManager par1RenderManager)`
    `void` | `updateIcons(IIconRegister par1IconRegister)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### renderManager

          protected RenderManager renderManager

    - #### field_147909_c

          protected RenderBlocks field_147909_c

    - #### shadowSize

          protected float shadowSize

    - #### shadowOpaque

          protected float shadowOpaque

  - ### Constructor Detail

    - #### Render

          public Render()

  - ### Method Detail

    - #### doRender

          public abstract void doRender(Entity var1,
                      double var2,
                      double var4,
                      double var6,
                      float var8,
                      float var9)

    - #### getEntityTexture

          protected abstract ResourceLocation getEntityTexture(Entity var1)

    - #### isStaticEntity

          public boolean isStaticEntity()

    - #### bindEntityTexture

          protected void bindEntityTexture(Entity par1Entity)

    - #### bindTexture

          protected void bindTexture(ResourceLocation par1ResourceLocation)

    - #### renderOffsetAABB

          public static void renderOffsetAABB(AxisAlignedBB par0AxisAlignedBB,
                              double par1,
                              double par3,
                              double par5)

    - #### renderAABB

          public static void renderAABB(AxisAlignedBB par0AxisAlignedBB)

    - #### setRenderManager

          public void setRenderManager(RenderManager par1RenderManager)

    - #### doRenderShadowAndFire

          public void doRenderShadowAndFire(Entity par1Entity,
                                   double par2,
                                   double par4,
                                   double par6,
                                   float par8,
                                   float par9)

    - #### getFontRendererFromRenderManager

          public FontRenderer getFontRendererFromRenderManager()

    - #### updateIcons

          public void updateIcons(IIconRegister par1IconRegister)

    - #### func_147906_a

          protected void func_147906_a(Entity p_147906_1_,
                           java.lang.String p_147906_2_,
                           double p_147906_3_,
                           double p_147906_5_,
                           double p_147906_7_,
                           int p_147906_9_)